Subject: RE: API suggestion

From: Richard Draves <[email-masked]>
Date: Mon, 17 Jan 2000 07:12:12 -0800

> 	what I fear is, by introducing "v4 and v6 only" option 
> to getaddrinfo,
> 	we may decrease getaddrinfo's address family independency.
> 	by using getaddrinfo careful enough, your application can become
> 	very future proven,  by hardcoding "v4 and v6 only" 
> option argument
> 	to getaddrinfo, now you are not future-proven (you apps 
> will not work
> 	for other AFs).

Yes, in the ideal world apps would be ported to use getaddrinfo in such a
way that they become completely protocol independent. In the real world for
real apps, this can be difficult and the path of least resistance is to
retain a dependence on IP, eg port numbers & other more subtle assumptions.

Rich
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------